Solved

ubuntu 22.04: mlocate


Userlevel 1

Hi,

after backuping ubuntu ever since without problems, the first fresh installed ubuntu 22.04 came up with this warning message in our latest veeam b&r 11:

 Failed to index guest file system. mlocate was not found.  
 

As since ubuntu 22.04 the package mlocate is just a transitional package to plocate, there is no mlocate binary.

So I did a ln -s plocate mlocate  and expected the message to be gone - but it keeps reporting, that mlocate was not found

updatedb and locate do not show any errors:

root@ubuntu2204:/var/log# updatedb -V
updatedb (plocate) 1.1.15
Copyright (C) 2007 Red Hat, Inc. All rights reserved.
This software is distributed under the GPL v.2.
...

root@ubuntu2204:/var/log# locate -V
plocate 1.1.15
Copyright 2020 Steinar H. Gunderson
...

So whats to do now?

icon

Best answer by ddomask 26 July 2022, 17:21

View original

14 comments

Userlevel 7
Badge +7

Hi @ThorstenS , just to inform you, unfortunately Ubuntu 22.04 isn’t yet supported.

Userlevel 7
Badge +14

I am sorry, but HOW ON EARTH is this not yet addressed, implemented and fixed? Ubuntu is one of the most relevant distros and after CentOS is not anymore reliable… I mean really .. the parsing is a oneline regex fix. As a developer I just don’t get this ...

I get your frustration, in all honesty I suspect one of two (or both things) happening:

 

  • Issues exist in the v11 release that require more work than just a hotfix patch, touching more components and therefore the support is focused for v12
  • Veeam have support ready in v12 but have been caught a little off guard with the release window for v12 (I’d heard talks of late Q3 /early Q4 last year at one point)

It’s speculation on my part, I know v12 is in the release candidate stage now, but I’ve not seen any notes for OS support releases yet or known issues to confirm anything unexpected with Ubuntu 22.04.

 

Maybe someone on here has tried a v12 beta with Ubuntu 22.04 to confirm functionality

Userlevel 7
Badge +14

Ubuntu 22.04 isn’t supported at present so you’re likely hitting an outdated dependency check vs 20.04, you can try and get the old binaries installed and either just install for the Veeam components to install then try and use the application with the binaries removed again or keep them on there. But you’re in unsupported territory either way, as an FYI

Userlevel 4
Badge +2

Hi all,

 

Peeked at the backend, we just run updatedb -V and parse for mlocate in the version output. Likely that’s why it’s a bit grumpy even if you link to plocate since naturally there’s no string for mlocate.

I’m sorry, but I’m not sure there will be a workaround on this until likely v12 (subject to change of course, I’m not sure if this is addressed or not).

Userlevel 6
Badge +5

The file indexing functionality is currently depending on mlocate. We call `updatedb -V`, which also works with plocate, but it has a different output (which we parse and fail to identify mlocate).

Guest file indexing is only necessary when you want to do advanced file restore from Enterprise Manager, however. You can backup Ubuntu 22.04 VMs and do file restores from them without guest file indexing (thus you won’t get a warning). 

While guest processing (including guest file indexing) is not supported (and not tested) for Ubuntu 22.04, the general crash consistent backup is supported for Ubuntu 22.04 as a VM guest.

Userlevel 7
Badge +15

I am sorry, but HOW ON EARTH is this not yet addressed, implemented and fixed? Ubuntu is one of the most relevant distros and after CentOS is not anymore reliable… I mean really .. the parsing is a oneline regex fix. As a developer I just don’t get this ...

I get your frustration, in all honesty I suspect one of two (or both things) happening:

 

  • Issues exist in the v11 release that require more work than just a hotfix patch, touching more components and therefore the support is focused for v12
  • Veeam have support ready in v12 but have been caught a little off guard with the release window for v12 (I’d heard talks of late Q3 /early Q4 last year at one point)

It’s speculation on my part, I know v12 is in the release candidate stage now, but I’ve not seen any notes for OS support releases yet or known issues to confirm anything unexpected with Ubuntu 22.04.

 

Maybe someone on here has tried a v12 beta with Ubuntu 22.04 to confirm functionality

I did some testing with Beta3 and now with RC0 and Ubuntu 22.04 works fine.  I have it for proxy, repo and even tape server. 😁

Userlevel 7
Badge +15

Hi @ThorstenS , just to inform you, unfortunately Ubuntu 22.04 isn’t yet supported.

Marco is correct about support.  I believe this version is going to be supported in v12 when it releases along with other newer Windows/Linux distros.

Userlevel 1

mlocate is installed, but it is empty, has just a dedendency to pull plocate:
https://packages.ubuntu.com/jammy/mlocate

The question is:
What command does veem run, to judge that mlocate is not installed. 

🤷🏻

Userlevel 7
Badge +7

The file indexing functionality is currently depending on mlocate. We call `updatedb -V`, which also works with plocate, but it has a different output (which we parse and fail to identify mlocate).

Guest file indexing is only necessary when you want to do advanced file restore from Enterprise Manager, however. You can backup Ubuntu 22.04 VMs and do file restores from them without guest file indexing (thus you won’t get a warning). 

While guest processing (including guest file indexing) is not supported (and not tested) for Ubuntu 22.04, the general crash consistent backup is supported for Ubuntu 22.04 as a VM guest.

Yes, it can be disabled in advanced options as already suggested :)

Amazing answer @StefanZi , thanks for sharing!

Userlevel 7
Badge +7

ps. a sudo apt install mlocate change nothing?

Userlevel 7
Badge +7

@ThorstenS if you don’t need file indexing, then you can skip this requirement and disable this option in the advanced backup job settings. Until v12, of course.

Userlevel 7
Badge +7

The question is:
What command does veem run, to judge that mlocate is not installed. 

For this question, sorry I don’t have an answer. But it can be a simple version incompatibility issue.😥

I am sorry, but HOW ON EARTH is this not yet addressed, implemented and fixed? Ubuntu is one of the most relevant distros and after CentOS is not anymore reliable… I mean really .. the parsing is a oneline regex fix. As a developer I just don’t get this ...

Userlevel 7
Badge +7

I am sorry, but HOW ON EARTH is this not yet addressed, implemented and fixed? Ubuntu is one of the most relevant distros and after CentOS is not anymore reliable… I mean really .. the parsing is a oneline regex fix. As a developer I just don’t get this ...

Well… As said on forum, it’s gonna be supported on version 12. We have faith! :)

https://forums.veeam.com/veeam-backup-replication-f2/feature-request-ubuntu-22-04-lts-supported-t82512.html#p462701

 

Comment